﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraTreeHierarchyDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataSet set = new DataSet();

            DataTable table1 = new DataTable();
            table1.Columns.Add("ID", typeof(int));
            table1.Columns.Add("Label", typeof(string));

            DataTable table2 = new DataTable();
            table2.Columns.Add("ID", typeof(int));
            table2.Columns.Add("Label", typeof(string));

            for (int i=0; i<10; i++)
            {
                DataRow row1 = table1.NewRow();
                row1[0] = i;
                row1[1] = "Parent " + i.ToString();
                table1.Rows.Add(row1);

                DataRow row2 = table2.NewRow();
                row2[0] = i;
                row2[1] = "Child " + i.ToString();
                table2.Rows.Add(row2);                
            }

            set.Tables.Add(table1);
            set.Tables.Add(table2);


            DataRelation relation = new DataRelation("relation1", table1.Columns[0], table2.Columns[0]);

            set.Relations.Add(relation);

            ultraTree1.DataSource = table1;

            

        }
    }
}
